# Uses of Class
net.shibboleth.idp.authn.context.PreferredPrincipalContext

Packages that use PreferredPrincipalContext
Package
Description
net.shibboleth.idp.authn.context
Context classes for managing authentication-related state.
net.shibboleth.idp.authn.impl
Implementation of various authentication actions.

## Uses of PreferredPrincipalContext in net.shibboleth.idp.authn.context

Methods in net.shibboleth.idp.authn.context that return PreferredPrincipalContext
Modifier and Type
Method
Description
`PreferredPrincipalContext`
PreferredPrincipalContext.`setPreferredPrincipals(List<Principal> principals)`
Set list of principals reflecting the request preferences.

## Uses of PreferredPrincipalContext in net.shibboleth.idp.authn.impl

Fields in net.shibboleth.idp.authn.impl declared as PreferredPrincipalContext
Modifier and Type
Field
Description
`private PreferredPrincipalContext`
SelectAuthenticationFlow.`preferredPrincipalCtx`
A subordinate PreferredPrincipalContext, if any.